]> git.ipfire.org Git - ipfire-2.x.git/commitdiff
Alte Initscripts entfernt...
authorms <ms@ea5c0bd1-69bd-2848-81d8-4f18e57aeed8>
Tue, 9 Jan 2007 00:04:31 +0000 (00:04 +0000)
committerms <ms@ea5c0bd1-69bd-2848-81d8-4f18e57aeed8>
Tue, 9 Jan 2007 00:04:31 +0000 (00:04 +0000)
git-svn-id: http://svn.ipfire.org/svn/ipfire/trunk@388 ea5c0bd1-69bd-2848-81d8-4f18e57aeed8

13 files changed:
config/rootfiles/common/initscripts
src/init.d/asterisk [deleted file]
src/init.d/cups [deleted file]
src/init.d/cyrus-sasl [deleted file]
src/init.d/gnump3d [deleted file]
src/init.d/init-functions [deleted file]
src/init.d/nfs-server [deleted file]
src/init.d/postfix [deleted file]
src/init.d/samba [deleted file]
src/init.d/winbind [deleted file]
src/init.d/xinetd [deleted file]
src/initscripts/init.d/applejuice [moved from src/init.d/applejuice with 100% similarity]
src/scripts/connscheduler

index b9977399ca0e90105c9a0c33b59130dbceadeb2a..c0e7129e9d86e4f46e48e97b186922b2a2c3b793 100644 (file)
@@ -37,9 +37,9 @@ etc/rc.d/rc0.d/K30sshd
 etc/rc.d/rc0.d/K80network
 etc/rc.d/rc0.d/K90sysklogd
 etc/rc.d/rc0.d/S60sendsignals
-etc/rc.d/rc0.d/S70mountfs
-etc/rc.d/rc0.d/S80swap
-etc/rc.d/rc0.d/S90localnet
+etc/rc.d/rc0.d/S70localnet
+etc/rc.d/rc0.d/S80mountfs
+etc/rc.d/rc0.d/S90swap
 etc/rc.d/rc0.d/S99halt
 #etc/rc.d/rc3.d
 etc/rc.d/rc3.d/S10sysklogd
diff --git a/src/init.d/asterisk b/src/init.d/asterisk
deleted file mode 100644 (file)
index e69de29..0000000
diff --git a/src/init.d/cups b/src/init.d/cups
deleted file mode 100644 (file)
index 2586640..0000000
+++ /dev/null
@@ -1,43 +0,0 @@
-#!/bin/sh
-# Begin /etc/init.d/cups
-
-#$LastChangedBy: bdubbs $
-#$Date: 2005-08-01 14:29:19 -0500 (Mon, 01 Aug 2005) $
-
-# Start or stop the CUPS server based upon the first argument to the script.
-
-. /etc/init.d/init-functions
-
-case $1 in
-       start)
-               boot_mesg "Starting CUPS Printserver..."
-               loadproc /usr/sbin/cupsd
-               ;;
-
-       stop)
-               boot_mesg "Stopping CUPS Printserver..."
-               killproc /usr/sbin/cupsd
-               ;;
-
-       reload)
-               boot_mesg "Reloading CUPS Printserver..."
-               reloadproc /usr/sbin/cupsd
-               ;;
-
-       restart)
-               $0 stop
-               sleep 1
-               $0 start
-               ;;
-
-       status)
-               statusproc /usr/sbin/cupsd
-               ;;
-
-       *)
-               echo "Usage: $0 {start|stop|reload|restart|status}"
-               exit 1
-               ;;
-esac
-
-# End /etc/init.d/cups
diff --git a/src/init.d/cyrus-sasl b/src/init.d/cyrus-sasl
deleted file mode 100644 (file)
index 6807731..0000000
+++ /dev/null
@@ -1,39 +0,0 @@
-#!/bin/sh
-# Begin /etc/init.d/cyrus-sasl
-
-# Based on sysklogd script from LFS-3.1 and earlier.
-# Rewritten by Gerard Beekmans  - gerard@linuxfromscratch.org
-
-#$LastChangedBy: bdubbs $
-#$Date: 2005-08-01 14:29:19 -0500 (Mon, 01 Aug 2005) $
-
-. /etc/init.d/init-functions
-
-case "$1" in
-       start)
-               boot_mesg "Starting the Cyrus SASL Server..."
-               loadproc /usr/sbin/saslauthd -a pam
-               ;;
-
-       stop)
-               boot_mesg "Stopping the Cyrus SASL Server..."
-               killproc /usr/sbin/saslauthd
-               ;;
-
-       restart)
-               $0 stop
-               sleep 1
-               $0 start
-               ;;
-
-       status)
-               statusproc /usr/sbin/saslauthd
-               ;;
-
-       *)
-               echo "Usage: $0 {start|stop|restart|status}"
-               exit 1
-               ;;
-esac
-
-# End /etc/init.d/cyrus-sasl
diff --git a/src/init.d/gnump3d b/src/init.d/gnump3d
deleted file mode 100644 (file)
index e69de29..0000000
diff --git a/src/init.d/init-functions b/src/init.d/init-functions
deleted file mode 100644 (file)
index fea24a2..0000000
+++ /dev/null
@@ -1,348 +0,0 @@
-
-#*******************************************************************************
-# Function - start_daemon [-f] [-n nicelevel] [-p pidfile] pathname [args]
-#
-# Purpose: This runs the specified program as a daemon
-#
-# Inputs: -f, run the program even if it is already running
-#         -n nicelevel, specifies a nice level. See nice(1).
-#         -p pidfile, uses the specified pidfile
-#         pathname, pathname to the specified program
-#         args, arguments to pass to specified program
-#
-# Outputs: return 0 - Success
-#          return 2 - Invalid or excessive number of arguments, 
-#                     warning in stdout
-#          return 4 - Program or service status is unknown
-#
-# Dependencies: nice
-#
-# Todo: none
-#
-#*******************************************************************************
-start_daemon()
-{
-  local pidfile=""
-       local forcestart=""
-       local nicelevel="0"
-
-       while true
-       do
-         case "${1}" in
-                       -f)
-                               forcestart="1"
-                               shift 1
-                               ;;
-                       -n)
-                               nicelevel="${2}"
-                               shift 2
-                               ;;
-                       -p)
-                               pidfile="${2}"
-                               shift 2
-                               ;;
-                       -*)
-                               log_failure_msg "Unknown Option: ${1}"
-                               return 2
-                               ;;
-                       *)
-                               break
-                               ;;
-               esac
-       done
-
-       if [ -z "${forcestart}" ]; then
-               if [ -z "${pidfile}" ]; then
-                       pidofproc "${1}" > /dev/null
-               else
-                       pidofproc -p "${pidfile}" "${1}" > /dev/null
-               fi
-
-               case "${?}" in
-                       0)
-                               log_warning_msg "Unable to continue: ${1} is running"
-                               return 4
-                               ;;
-                       1)
-                               log_warning_msg "Unable to continue: ${pidfile} exists"
-                               return 4
-                               ;;
-                       3)
-                               ;;
-                       *)
-                               log_failure_msg "Unknown error code from pidofproc: ${?}"
-                               return 4
-                               ;;
-               esac
-       fi
-
-       nice -n "${nicelevel}" "${@}"
-}
-
-#*******************************************************************************
-# Function - killproc  [-p pidfile] pathname [signal]
-#
-# Purpose:
-#
-# Inputs: -p pidfile, uses the specified pidfile
-#         pathname, pathname to the specified program
-#         signal, send this signal to pathname
-#
-# Outputs: return 0 - Success
-#          return 1 - Invalid or excessive number of arguments, 
-#                     warning in stdout
-#          return 4 - Unknown Status
-#
-# Dependencies: kill
-#
-# Todo: test
-#
-#*******************************************************************************
-killproc()
-{
-       local pidfile=""
-       local killsig=""
-       local pidlist=""
-       while true
-       do
-               case "${1}" in
-                       -p)
-                               pidfile="${2}"
-                               shift 2
-                               ;;
-                       -*)
-                               log_failure_msg "Unknown Option: ${1}"
-                               return 1
-                               ;;
-                       *)
-                               break
-                               ;;
-               esac
-       done
-
-       if [ "${#}" = "2" ]; then
-               killsig="${2}"
-       elif [ "${#}" != "1" ]; then
-               shift 2
-               log_failure_msg "Excess Arguments: $@"
-               return 1
-       fi
-
-       if [ -z "${pidfile}" ]; then
-               pidlist=`pidofproc "${1}"`
-       else
-               pidlist=`pidofproc -p "${pidfile}" "${1}"`
-       fi
-
-       for pid in ${pidlist}
-       do
-               kill -${killsig:-TERM} ${pid} 2> /dev/null
-               if [ -z "${killsig}" ]; then
-                       # Wait up to 3 seconds, for ${pid} to terminate
-                       local dtime=3
-                       while [ "${dtime}" != "0" ]
-                       do
-                               kill -0 ${pid} 2> /dev/null || break
-                               sleep 1
-                               dtime=$(( ${dtime} - 1))
-                       done
-                       # If ${pid} is still running, kill it
-                       kill -0 ${pid} 2> /dev/null && kill -KILL ${pid} 2> /dev/null
-               fi
-       done
-
-       if [ -z "${killsig}" ]; then
-               pidofproc "${1}" 2>&1 > /dev/null
-       
-               # Program was terminated
-               if [ "$?" != "0" ]; then
-                       # Pidfile Exists
-                       if [ -f "${pidfile}" ]; then
-                               rm -f "${pidfile}" 2>&1 > /dev/null
-                       fi
-                       return 0
-               else # Program is still running
-                       return 4 # Unknown Status
-               fi
-       else
-               if [ -z "${pidfile}" ]; then
-                       pidofproc "${1}" 2> /dev/null
-               else
-                       pidofproc -p "${pidfile}" "${1}" 2> /dev/null
-               fi
-       fi
-}
-
-#*******************************************************************************
-# Function - pidofproc [-p pidfile] pathname
-#
-# Purpose: This function returns one or more pid(s) for a particular daemon
-#
-# Inputs: -p pidfile, use the specified pidfile instead of pidof
-#         pathname, path to the specified program
-#
-# Outputs: return 0 - Success, pid's in stdout
-#          return 1 - Invalid or excessive number of arguments, 
-#                     warning in stdout
-#          return 1 - Program is dead, pidfile exists
-#          return 3 - Program is not running
-#
-# Dependencies: pidof, echo
-#
-# Todo: - Invalid or excessive argments, and program is dead pidfile exists
-#         conflict with eachother
-#
-#*******************************************************************************
-pidofproc()
-{
-       local pidfile=""
-       local lpids=""
-       local pidlist=""
-       while true
-       do
-               case "${1}" in
-                       -p)
-                               pidfile="${2}"
-                               shift 2
-                               ;;
-                       -*)
-                               log_failure_msg "Unknown Option: ${1}"
-                               return 1
-                               ;;
-                       *)
-                               break
-                               ;;
-               esac
-       done
-
-       if [ "${#}" != "1" ]; then
-               shift 1
-               log_failure_msg "Excess Arguments: $@"
-               return 1
-       fi
-
-       if [ -n "${pidfile}" ]; then
-               if [ ! -r "${pidfile}" ]; then
-                       return 3 # Program is not running
-               fi
-
-               lpids=`head -n 1 ${pidfile}`
-               for pid in ${lpids}
-               do
-                       if [ "${pid}" -ne "$$" -a "${pid}" -ne "${PPID}" ]; then
-                               kill -0 "${pid}" 2> /dev/null &&
-                               pidlist="${pidlist} ${pid}"
-                       fi
-                       echo ${pidlist}
-                       test -z "${pidlist}" && return 1 # Program is dead, pidfile exists
-                       return 0
-               done
-               
-       else
-               pidof "${1}"
-       fi
-
-       if [ "$?" != "0" ]; then
-               return 3 # Program is not running
-       fi
-}
-
-# Screen Dimentions
-if [ -z "${COLUMNS}" ]; then
-  COLUMNS=$(stty size)
-  COLUMNS=${COLUMNS##* }
-fi
-
-# When using remote connections, such as a serial port, stty size returns 0
-if [ "${COLUMNS}" = "0" ]; then
-  COLUMNS=80
-fi
-
-# Measurements for positioning result messages
-COL=$((${COLUMNS} - 8))
-WCOL=$((${COL} - 2))
-
-# Set Cursur Position Commands, used via echo -e
-SET_COL="\\033[${COL}G"      # at the $COL char
-SET_WCOL="\\033[${WCOL}G"    # at the $WCOL char
-CURS_UP="\\033[1A\\033[0G"   # Up one line, at the 0'th char
-
-# Set color commands, used via echo -e
-# Please consult `man console_codes` for more information
-# under the "Set Graphics Resolution" section
-#
-# Warning, when switching from a 8bit to a 9bit font,
-# the linux console will reinterpret the bold (1;) to
-# the top 256 glyphs of the 9bit font.  This does
-# not affect framebuffer consoles
-NORMAL="\\033[0;39m"         # Standard console grey
-SUCCESS="\\033[1;32m"        # Success is green
-WARNING="\\033[1;33m"        # Warnings are yellow
-FAILURE="\\033[1;31m"        # Failures are red
-INFO="\\033[1;36m"           # Information is light cyan
-BRACKET="\\033[1;34m"        # Brackets are blue
-
-BOOTMESG_PREFIX=" * "        # Text at the beginning of every line
-
-
-#*******************************************************************************
-# Function - log_success_msg "message"
-#
-# Purpose: Print a success message
-#
-# Inputs:
-#
-# Outputs:
-#
-# Dependencies: echo
-#
-# Todo: logging
-#
-#*******************************************************************************
-log_success_msg()
-{
-       echo -n -e "${BOOTMESG_PREFIX}${@}"
-       echo -e "${SET_COL}""${BRACKET}""[""${SUCCESS}""  OK  ""${BRACKET}""]""${NORMAL}"
-       return 0
-}
-
-#*******************************************************************************
-# Function - log_failure_msg "message"
-#
-# Purpose: Print a failure message
-#
-# Inputs: $@ - Message
-#
-# Outputs: Text output to screen
-#
-# Dependencies: echo
-#
-# Todo: logging
-#
-#*******************************************************************************
-log_failure_msg() {
-       echo -n -e "${BOOTMESG_PREFIX}${@}"
-       echo -e "${SET_COL}""${BRACKET}""[""${FAILURE}"" FAIL ""${BRACKET}""]""${NORMAL}"
-       return 0
-}
-
-#*******************************************************************************
-# Function - log_warning_msg "message"
-#
-# Purpose: print a warning message
-#
-# Inputs: $@ - Message
-#
-# Outputs: Text output to screen
-#
-# Dependencies: echo
-#
-# Todo: logging
-#
-#*******************************************************************************
-log_warning_msg() {
-       echo -n -e "${BOOTMESG_PREFIX}${@}"
-       echo -e "${SET_COL}""${BRACKET}""[""${WARNING}"" WARN ""${BRACKET}""]""${NORMAL}"
-       return 0
-}
-
diff --git a/src/init.d/nfs-server b/src/init.d/nfs-server
deleted file mode 100644 (file)
index 6b50493..0000000
+++ /dev/null
@@ -1,112 +0,0 @@
-#!/bin/sh
-# Begin /etc/init.d/nfs-server
-
-# Based on sysklogd script from LFS-3.1 and earlier.
-# Rewritten by Gerard Beekmans  - gerard@linuxfromscratch.org
-
-#$LastChangedBy: randy $
-#$Date: 2006-04-29 22:26:35 -0500 (Sat, 29 Apr 2006) $
-
-. /etc/init.d/init-functions
-. /var/ipfire/nfs/nfs-server
-
-case "$1" in
-       start)
-               boot_mesg "Starting NFS mountd..."
-               loadproc /usr/sbin/rpc.mountd
-
-               boot_mesg "Starting NFS nfsd..."
-               loadproc /usr/sbin/rpc.nfsd -p $PORT $PROCESSES
-
-               boot_mesg "Starting NFS statd..."
-               loadproc /usr/sbin/rpc.statd
-
-               if [ "$QUOTAS" = "yes" ]; then
-                       boot_mesg "Starting NFS rquotad..."
-                       loadproc /usr/sbin/rpc.rquotad
-               fi
-
-               # NFSD support only in 2.6 kernel
-               /bin/uname -r | /bin/grep "2.6" 2>&1 > /dev/null
-               if [ $? = 0 ]; then
-                       boot_mesg "Mounting nfsd virtual filesystem..."
-                       /bin/mount -t nfsd none /proc/fs/nfsd 2>&1 > /dev/null
-                       evaluate_retval
-               fi
-
-               # Make ceratin that the list is refreshed on
-               # a restart.
-               boot_mesg "Exporting NFS Filesystems..."
-               /usr/sbin/exportfs -ra 2>&1 > /dev/null
-               evaluate_retval
-               ;;
-
-       stop)
-               boot_mesg "Stopping NFS statd..."
-               killproc /usr/sbin/rpc.statd
-
-               boot_mesg "Stopping NFS nfsd..."
-               # nfsd needs HUP....
-               TEMPSTOPSIG="$STOPSIG"
-               STOPSIG="HUP"
-               ## Special case for nfsd with no full path
-               killproc nfsd
-               # return STOPSIG to it's orginal value...
-               STOPSIG="$TEMPSTOPSIG"
-
-               boot_mesg "Stopping NFS mountd..."
-               killproc /usr/sbin/rpc.mountd
-
-               if [ "$QUOTAS" = "yes" ]; then
-                       boot_mesg "Stopping NFS rquotad..."
-                       killproc /usr/sbin/rpc.rquotad
-               fi
-
-               boot_mesg "Refreshing NFS Exported Filesystems..."
-               /usr/sbin/exportfs -au 2>&1 > /dev/null
-               evaluate_retval
-
-               # NFSD support only in 2.6 kernel
-                /bin/uname -r | /bin/grep "2.6" 2>&1 > /dev/null
-                if [ $? = 0 ]; then
-                       boot_mesg "Unmounting NFS Virtual Filesystem..."
-                       /bin/umount /proc/fs/nfsd 2>&1 > /dev/null
-                       evaluate_retval
-               fi
-
-               # Remove a pid file that isn't done automatically
-               boot_mesg "Removing the rpc.statd pid file if it exists"
-               if [ -f /var/run/rpc.statd.pid ]; then
-                   rm -f /var/run/rpc.statd.pid
-               fi
-               ;;
-
-       reload)
-               boot_mesg "Reloading NFS Server..."
-               /usr/sbin/exportfs -ra
-               evaluate_retval
-               ;;
-
-       restart)
-               $0 stop
-               sleep 1
-               $0 start
-               ;;
-
-       status)
-               statusproc /usr/sbin/rpc.mountd
-               ## Special case for nfsd with no full path
-               statusproc nfsd
-               statusproc /usr/sbin/rpc.statd
-               if [ "$QUOTA" = "yes" ]; then
-                       statusproc rpc.rquotad
-               fi
-               ;;
-
-       *)
-               echo "Usage: $0 {start|stop|reload|restart|status}"
-               exit 1
-               ;;
-esac
-
-# End /etc/init.d/nfs-server
diff --git a/src/init.d/postfix b/src/init.d/postfix
deleted file mode 100644 (file)
index 59694ab..0000000
+++ /dev/null
@@ -1,55 +0,0 @@
-#!/bin/sh
-# Begin /etc/init.d/postfix
-
-# Based on sysklogd script from LFS-3.1 and earlier.
-# Rewritten by Gerard Beekmans  - gerard@linuxfromscratch.org
-
-#$LastChangedBy: bdubbs $
-#$Date: 2005-08-01 14:29:19 -0500 (Mon, 01 Aug 2005) $
-
-. /etc/init.d/init-functions
-
-case "$1" in
-       start)
-               boot_mesg "Starting Postfix..."
-               loadproc /usr/sbin/postfix start
-               ;;
-
-       stop)
-               boot_mesg "Stopping Postfix..."
-               loadproc /usr/sbin/postfix stop
-               ;;
-
-       reload)
-               boot_mesg "Reloading Postfix..."
-               loadproc /usr/sbin/postfix reload
-               ;;
-
-       abort)
-               boot_mesg "Aborting Postfix..."
-               loadproc /usr/sbin/postfix abort
-               ;;
-
-       flush)
-               boot_mesg "Flushing Postfix..."
-               loadproc /usr/sbin/postfix flush
-               ;;
-
-       check)
-               boot_mesg "Checking Postfix..."
-               loadproc /usr/sbin/postfix check
-               ;;
-
-       restart)
-               $0 stop
-               sleep 1
-               $0 start
-               ;;
-
-       *)
-               echo "Usage: $0 {start|stop|reload|abort|flush|check|restart}"
-               exit 1
-               ;;
-esac
-
-# End /etc/init.d/postfix
diff --git a/src/init.d/samba b/src/init.d/samba
deleted file mode 100644 (file)
index 1391e35..0000000
+++ /dev/null
@@ -1,54 +0,0 @@
-#!/bin/sh
-# Begin /etc/init.d/samba
-
-# Based on sysklogd script from LFS-3.1 and earlier.
-# Rewritten by Gerard Beekmans  - gerard@linuxfromscratch.org
-
-#$LastChangedBy: bdubbs $
-#$Date: 2005-08-01 14:29:19 -0500 (Mon, 01 Aug 2005) $
-
-. /etc/init.d/init-functions
-
-case "$1" in
-       start)
-               boot_mesg "Starting nmbd..."
-               loadproc /usr/sbin/nmbd -D
-
-               boot_mesg "Starting smbd..."
-               loadproc /usr/sbin/smbd -D
-               ;;
-
-       stop)
-               boot_mesg "Stopping smbd..."
-               killproc /usr/sbin/smbd
-
-               boot_mesg "Stopping nmbd..."
-               killproc /usr/sbin/nmbd
-                ;;
-
-       reload)
-               boot_mesg "Reloading smbd..."
-               reloadproc /usr/sbin/smbd
-
-               boot_mesg "Reloading nmbd..."
-               reloadproc /usr/sbin/nmbd
-               ;;
-
-       restart)
-               $0 stop
-               sleep 1
-               $0 start
-               ;;
-
-       status)
-               statusproc /usr/sbin/nmbd
-               statusproc /usr/sbin/smbd
-               ;;
-
-       *)
-               echo "Usage: $0 {start|stop|reload|restart|status}"
-               exit 1
-               ;;
-esac
-
-# End /etc/init.d/samba
diff --git a/src/init.d/winbind b/src/init.d/winbind
deleted file mode 100644 (file)
index 2d39e9f..0000000
+++ /dev/null
@@ -1,49 +0,0 @@
-#!/bin/bash
-# Begin /etc/init.d/winbind
-
-# Based on sysklogd script from LFS-3.1 and earlier.
-# Rewritten by Gerard Beekmans  - gerard@linuxfromscratch.org
-
-#$LastChangedBy: bdubbs $
-#$Date: 2005-08-01 14:29:19 -0500 (Mon, 01 Aug 2005) $
-
-. /etc/init.d/init-functions
-
-PIDFILE="/var/run/winbindd.pid"
-KILLDELAY="10"
-
-case "$1" in
-
-        start)
-                boot_mesg "Starting winbind..."
-                loadproc /usr/sbin/winbindd
-                ;;
-
-        stop)
-                boot_mesg "Stopping winbind..."
-                 killproc -p ${PIDFILE} /usr/sbin/winbind
-                 ;;
-
-       reload)
-                 boot_mesg "Reloading winbind..."
-                 reloadproc /usr/sbin/winbindd
-                 ;;
-
-        restart)
-                $0 stop
-                sleep 1
-                $0 start
-                ;;
-
-        status)
-                statusproc /usr/sbin/winbindd
-                ;;
-
-        *)
-                echo "Usage: $0 {start|stop|reload|restart|status}"
-                exit 1
-                ;;
-
-esac
-
-# End /etc/init.d/winbind
diff --git a/src/init.d/xinetd b/src/init.d/xinetd
deleted file mode 100644 (file)
index b79f807..0000000
+++ /dev/null
@@ -1,44 +0,0 @@
-#!/bin/sh
-# Begin /etc/init.d/xinetd
-
-# Based on sysklogd script from LFS-3.1 and earlier.
-# Rewritten by Gerard Beekmans  - gerard@linuxfromscratch.org
-
-#$LastChangedBy: bdubbs $
-#$Date: 2005-08-01 14:29:19 -0500 (Mon, 01 Aug 2005) $
-
-. /etc/init.d/init-functions
-
-case "$1" in
-       start)
-               boot_mesg "Starting xinetd..."
-               loadproc /usr/sbin/xinetd
-               ;;
-
-       stop)
-               boot_mesg "Stopping xinetd..."
-               killproc /usr/sbin/xinetd
-               ;;
-
-       reload)
-               boot_mesg "Reloading xinetd..."
-               reloadproc /usr/sbin/xinetd
-               ;;
-
-       restart)
-               $0 stop
-               sleep 1
-               $0 start
-               ;;
-
-       status)
-               statusproc /usr/sbin/xinetd
-               ;;
-
-       *)
-               echo "Usage: $0 {start|stop|reload|restart|status}"
-               exit 1
-               ;;
-esac
-
-# End /etc/init.d/xinetd
index 1dcbe40fed1d6fd698ed2fcfc9d4589434780f9c..17dc629262f76049a3ef1ed0aa3ad933fb1dc321 100644 (file)
@@ -70,7 +70,7 @@ sub hangup
   }
 
   &General::log("ConnSched disconnect");
-  unless ( system('/etc/rc.d/rc.red', 'stop') == 0 )
+  unless ( system('/etc/rc.d/init.d/red', 'stop') == 0 )
   {
     &General::log("ConnSched disconnect failed: $?");
     return;
@@ -78,7 +78,7 @@ sub hangup
 
   # now wait for active triggerfile and ppp daemon to disappear 
   sleep 1;
-  while ( -e "${General::swroot}/red/active" || -e '/var/run/ppp-ipcop.pid' ) 
+  while ( -e "${General::swroot}/red/active" || -e '/var/run/ppp-ipfire.pid' ) 
   {
     sleep 1;
   }
@@ -94,7 +94,7 @@ sub dial
   }
 
   &General::log("ConnSched connect");
-  unless ( system('/etc/rc.d/rc.red', 'start') == 0 )
+  unless ( system('/etc/rc.d/init.d/red', 'start') == 0 )
   {
     &General::log("ConnSched connect failed: $?");
     return;